EncKeyWithID (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.crmf

## Class EncKeyWithID

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.crmf.EncKeyWithID

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class EncKeyWithID
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncKeyWithID(PrivateKeyInfo privKeyInfo)`
    `EncKeyWithID(PrivateKeyInfo privKeyInfo, ASN1UTF8String str)`
    `EncKeyWithID(PrivateKeyInfo privKeyInfo, GeneralName generalName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Encodable` | `getIdentifier()`
    `static EncKeyWithID` | `getInstance(java.lang.Object o)`
    `PrivateKeyInfo` | `getPrivateKey()`
    `boolean` | `hasIdentifier()`
    `boolean` | `isIdentifierUTF8String()`
    `ASN1Primitive` | `toASN1Primitive()` EncKeyWithID ::= SEQUENCE { privateKey PrivateKeyInfo, identifier CHOICE { string UTF8String, generalName GeneralName } OPTIONAL }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncKeyWithID

          public EncKeyWithID(PrivateKeyInfo privKeyInfo)

    - #### EncKeyWithID

          public EncKeyWithID(PrivateKeyInfo privKeyInfo,
                              ASN1UTF8String str)

    - #### EncKeyWithID

          public EncKeyWithID(PrivateKeyInfo privKeyInfo,
                              GeneralName generalName)

  - ### Method Detail

    - #### getInstance

          public static EncKeyWithID getInstance(java.lang.Object o)

    - #### getPrivateKey

          public PrivateKeyInfo getPrivateKey()

    - #### hasIdentifier

          public boolean hasIdentifier()

    - #### isIdentifierUTF8String

          public boolean isIdentifierUTF8String()

    - #### getIdentifier

          public ASN1Encodable getIdentifier()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           EncKeyWithID ::= SEQUENCE {
                privateKey           PrivateKeyInfo,
                identifier CHOICE {
                   string               UTF8String,
                   generalName          GeneralName
               } OPTIONAL
           }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        an ASN.1 primitive composition of this EncKeyWithID.